> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card integration public key

> Returns the public key for the cards integration service



## OpenAPI

````yaml /openapi-public.json get /v1/card-customers/public-key
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/card-customers/public-key:
    get:
      tags:
        - v1 - Card Customers
      summary: Get card integration public key
      description: Returns the public key for the cards integration service
      operationId: getPublicKey
      parameters:
        - name: companyEntityId
          in: query
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalCardPublicKeyInfoV1Model'
components:
  schemas:
    ExternalCardPublicKeyInfoV1Model:
      type: object
      properties:
        publicKey:
          type: string
        expiryDate:
          type: string
          format: date
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````